Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QAccessibleListBox Class Reference

The QAccessibleListBox class implements the QAccessibleInterface for list boxes. More...

    #include <QAccessibleListBox>

Inherits QAccessibleWidget.

- List of all members, including inherited members

### Public Functions

- QAccessibleListBox ( QWidget * widget )
- void clearSelection ()
- QVector<int> selection () const
- bool setSelected ( int child, bool on, bool extend )

- 15 public functions inherited from QAccessibleInterface

### Static Public Members

- 8 static public members inherited from QAccessible

### Protected Functions

- QListBox * listBox () const

- 7 protected functions inherited from QAccessibleWidget

## Detailed Description

The QAccessibleListBox class implements the QAccessibleInterface for list boxes.

## Member Function Documentation

### QAccessibleListBox::QAccessibleListBox ( QWidget * widget )

Constructs a QAccessibleListBox object for a widget.

### void QAccessibleListBox::clearSelection ()

Sets all the items in the list box to be unselected.

See also setSelected() and selection().

### QListBox * QAccessibleListBox::listBox () const `[protected]`

Returns the list box.

### QVector<int> QAccessibleListBox::selection () const

Returns a (possibly empty) list of indexes of the items selected in the list box.

See also setSelected() and clearSelection().

### bool QAccessibleListBox::setSelected ( int child, bool on, bool extend )

Selects the item with index child if on is true; otherwise unselects it. If extend is true and the selection mode is not `Single` and there is an existing selection, the selection is extended to include all the items from the existing selection up to and including the item with index child. Returns true if a selection was made or extended; otherwise returns false.

See also selection() and clearSelection().